matrix:
  platform:
  - debian11
  - ubuntu2404
  - macos
  bazel:
  - 8.x
  - 7.x
tasks:
  validate:
    name: Validate targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
      - '@hiredis'
      - '@hiredis//:ssl'
      - '@hiredis//adapters:all'
